$title sets  Retrieves source sets and writes them with appropriate names

*       Read the mapping file to find the name of the source dataset:

$include defines\%ds%.map

*       Verify that the source has been declared:

$if not setglobal source $abort "Did not find $setglobal source in defiens\%ds%.map.";


*       See that the source data file is there:

$if not exist data\%source%.gdx $abort "Did not find data\%source%.gdx.";

*       Read the source sets:

SET	r(*)	Regions (states),
	s(*)	Sectors and goods;
	
$gdxin data\%source%
$load r s

*       Write these out with revised names:

execute_unload 'aggr', s=ss, r=rr;
