@echo off

:	Whenever possible, skip the reading of individual state data files -- 
:	it takes a while...

goto merge

:	Build the 528 sector dataset:

echo	About to read the data sets...

call readstate AK AL AR AZ CA CO CT DC DE FL GA HI IA ID IL IN KS KY LA MA MD ME MI MN MO MS 
call readstate MT NC ND NE NH NJ NM NV NY OH OK OR PA RI SC SD TN TX UT VA VT WA WI WV WY   

:merge
call gams merge

:	Clean up a bit by moving all the state-level into a zip archive:
cd data
gmszip -m states *.gdx -x 528.gdx implan.gdx gtap.gdx
cd ..

:trade
gams tradeadj

:aggr
call aggr gtap
call gams model
