@echo off

if not exist listings\nul mkdir listings

:start

title	Reading dataset for %1 -- job started at %time%
call gams read --ds=%1 o=listings\%1_read.lst 
if not errorlevel 1 goto distill

echo	GAMS error encountered reading IMPLAN data for %1  >>errors.txt
echo	See listings\%1_read.lst for details.              >>errors.txt
echo.
goto next

:distill

title	Distilling dataset for %1 -- job started at %time%
call gams distill --ds=%1 o=listings\%1_dist.lst 
if not errorlevel 1 goto next

gmszip data\%1_bug  data\temp.gms
echo	GAMS error encountered diagonalizing IMPLAN data for %1 >>errors.txt
echo	See listings\%1_dist.lst for details.                   >>errors.txt
echo.

:next
shift
if not "%1"=="" goto start
:end
